- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# slack – Sends play events to a Slack channel

- Synopsis

- Requirements

- Parameters

- Status

## Synopsis

- This is an ansible callback plugin that sends status updates to a Slack channel during playbook execution.

- Before 2.4 only environment variables were available for configuring this plugin

## Requirements

The below requirements are needed on the local master node that executes this callback.

- whitelist in configuration

- prettytable (python library)

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
channel - | Default: "#ansible" | ini entries: [callback_slack] channel = #ansible env:SLACK_CHANNEL | Slack room to post in.
username - | Default: "ansible" | ini entries: [callback_slack] username = ansible env:SLACK_USERNAME | Username to post as.
validate_certs boolean added in 2.8 | Choices: no yes ← | ini entries: [callback_slack] validate_certs = yes env:SLACK_VALIDATE_CERTS | validate the SSL certificate of the Slack server. (For HTTPS URLs)
webhook_url - / required |  | ini entries: [callback_slack] webhook_url = VALUE env:SLACK_WEBHOOK_URL | Slack Webhook URL

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]

- This callback is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.